package me.zhanshi123.tutorialmenu.config;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.RequiredArgsConstructor;
import org.bukkit.entity.Player;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Data
@AllArgsConstructor
public class MenuButtonConfig {
    private int index;
    private String texture;
    private String text;
    private List<String> commands;

    public void dispatchCommand(Player player) {
        commands.forEach(player::performCommand);
    }

    public Map<String, Object> serializePython() {
        Map<String, Object> map = new HashMap<>();
        map.put("index", index);
        map.put("texture", texture);
        map.put("text", text);
        return map;
    }
}
